set graph_started 0

proc start_graph {w} {
  global graph_started
  global hdrug_library
  if !$graph_started {
  toplevel $w -class Dialog
  wm minsize $w 0 0
  wm title $w Graph
  wm iconname $w Graph
  wm iconbitmap $w @$hdrug_library/bitmaps/hdrug.xbm

  frame $w.b
  pack $w.b -side bottom -fill x

  button $w.b.ok -text OK -command "destroy $w ; set graph_started 0"
  pack $w.b.ok -side right

  button $w.b.logon -text "Logscale On" -command \
	"$w.g yaxis configure -logscale 1"
  button $w.b.logoff -text "Logscale Off" -command \
	"$w.g yaxis configure -logscale 0"
  button $w.b.ps -text Postscript -command "$w.g postscript graph.ps"
  pack $w.b.logon $w.b.logoff $w.b.ps -side left

  set graph_started 1


  }
  catch {destroy $w.g}
  blt_graph $w.g
  pack $w.g
  return $w.g
}


